﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridRowNumbers
{
    class ExpansionIndicatorCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is RowSelectorUIElement)
            {
                UltraGridRow row = parent.GetContext() as UltraGridRow;
                if (row != null && row.HasChild())
                {
                    Infragistics.Win.UltraWinGrid.ExpansionIndicatorUIElement element = new Infragistics.Win.UltraWinGrid.ExpansionIndicatorUIElement(parent);

                    Rectangle rect = parent.Rect;
                    element.Rect = rect;

                    parent.ChildElements.Add(element);
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
